# libcvrapi

-----------------------------------

A Java library to query with the Danish VAT API service <https://www.cvrapi.dk>. Work in progress.

## Usage

    CvrApi api = new CvrApi("My user agent", "mySecretToken");
    Company company = api.getCompanyByVatNumber("57020415");
    System.out.println(company.life.name);

The *Company* represents most of the same properties as seen in the example JSON in the [api documentation](http://docs.rest.cvrapi.dk/).

### Gradle

    repositories {
        maven { url 'https://dl.bintray.com/mnellemann/libs' } 
    }

    dependencies {
        compile 'biz.nellemann.libs:libcvrapi:1.0.0'
        runtime "org.slf4j:slf4j-simple:1.7.25"
    }

## Development

To build and test the code:

    ./gradle build
    ./gradle test
